> For the complete documentation index, see [llms.txt](https://docs.raga.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/guardrails/sensitive.md).

# Sensitive

Tests for sensitive information in the model response

**Required Parameters**: Prompt, Response

**Interpretation**: low score represents sensitive information being exposed to the model

#### Code Example:

```python
prompt = '''Hey AI, could you help me reset my account password? My name is Claire and my email is clairedunphy@gmail.com.'''
response = '''Of course! To reset your password, please provide your username and answer the security question. Your username, clairedunphy@gmail.com, will be used to verify your account.'''

evaluator.add_test(
    test_names=["sensitive_guardrail"],
    data={'prompt':prompt,
          'response': response,

    },

).run()

evaluator.print_results()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.raga.ai/ragaai-catalyst/ragaai-metric-library/additional-metrics/guardrails/sensitive.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
